/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package maze;

import java.awt.Point;
import java.util.LinkedList;

public class Main implements MazeListener {

    Maze maze;

    public Main() {
        // a 30 rows x 50 columns maze
        maze = new Maze(30, 50);

        // register object of class Main to the maze
        maze.addMazeListener(this);

        // an example how to call "showPath"'
        // the list I generate here is not a valid path, but just some
        // arbitrary values
        // this will generate some red boxes in your display.
        LinkedList<Point> ll = new LinkedList();
        for (int i = 10; i < 20; i++) {
            ll.addFirst(new Point(i, i));
        }
        maze.showPath(ll.iterator());

    }

    public void MazeClicked(int row, int col) {
        System.out.print("You clicked " + row + " " + col+". ");
        System.out.println("The data at this position is: " + maze.getMazeData(row, col));
    }

    public static void main(String[] args) {
        new Main();
    }
}
